# Created by pyp2rpm-3.3.3
%global pypi_name ukpostcodeparser

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 4
Summary:        UK Postcode parser
Group:          Development/Python
License:        MIT
URL:            https://github.com/hamstah/ukpostcodeparser
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/UkPostcodeParser-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
UK Postcode parser.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
UK Postcode parser.

%prep
%autosetup -n UkPostcodeParser-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/UkPostcodeParser-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.1.2-4.mga9
+ Revision: 1822638
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 1.1.2-3.mga9
+ Revision: 1774822
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.1.2-2.mga9
+ Revision: 1732438
- Rebuild for python 3.9

* Sat Mar 21 2020 wally <wally> 1.1.2-1.mga9
+ Revision: 1558569
- imported package python-ukpostcodeparser

